﻿<%@ WebService Language="C#" Class="AutCompleteBoxWebService" %>

using System;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using Telerik.Web.UI;
using System.Data;
using System.Collections.Generic;

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
[System.Web.Script.Services.ScriptService]
public class AutCompleteBoxWebService : System.Web.Services.WebService
{
    [WebMethod]
    public AutoComplete GetResults(Dictionary<string, object> context)
    {
        var result = new AutoComplete();

        for (int i = 0; i < 10; i++)
        {
            result.Items.Add(new AutoCompleteItem()
            {
                Description = i.ToString(),
                Reference = "Airport " + i.ToString()
            });
        }

        return result;
    }

    public class Airport
    {
        public int AirportID { get; set; }
        public string AirportName { get; set; }
    }

    public class AutoComplete
    {
       
        public List<AutoCompleteItem> Items { get; set; }

        public AutoComplete()
        {
            Items = new List<AutoCompleteItem>();
        }
    }

    public class AutoCompleteItem
    {
        public string Description { get; set; }
        public string Reference { get; set; }

        internal AutoCompleteItem()
        {
            Description = string.Empty;
            Reference = string.Empty;
        }

        internal AutoCompleteItem(string description, string reference)
        {
            this.Description = description.Trim();
            this.Reference = reference.Trim();
        }
    }
}